--- stoer_wagner_mincut-0.3.hpp	Sat Jul  3 18:36:44 2010
+++ stoer_wagner_mincut.hpp	Sun Jul  4 14:35:14 2010
@@ -6,13 +6,9 @@
 #ifndef BOOST_GRAPH_STOER_WAGNER_MINCUT_HPP
 #define BOOST_GRAPH_STOER_WAGNER_MINCUT_HPP 1
 
-#include <algorithm>
 #include <functional>
-#include <map>
-#include <utility>
 #include <vector>
 #include <boost/concept_check.hpp>
-#include <boost/scoped_array.hpp>
 #include <boost/concept/assert.hpp>
 #include <boost/graph/adjacency_list.hpp>
 #include <boost/graph/exception.hpp>
@@ -22,7 +18,6 @@
 #include <boost/graph/detail/d_ary_heap.hpp>
 #include <boost/property_map/property_map.hpp>
 #include <boost/tuple/tuple.hpp>
-#include <boost/typeof/typeof.hpp>
 
 namespace boost {
 
@@ -45,8 +40,8 @@
  *
  * \pre \p g is a connected, undirected graph
  * \param[in] g the input graph
- * \param[in] weights a property map from each edge to its weight (a non-negative value)
- * \param[in] assignments a property map from each vertex to the vertex that it is assigned to
+ * \param[in] weights a readable property map from each edge to its weight (a non-negative value)
+ * \param[in] assignments a read/write property map from each vertex to the vertex that it is assigned to
  * \param[out] indicesInHeap a read/write property map from each vertex to its index in a priority queue.
  *     This map serves as work space, and no particular meaning should be derived from property values
  *     after completion of this function.
@@ -111,7 +106,7 @@
  *
  * \pre \p g is a connected, undirected graph
  * \param[in] g the input graph
- * \param[in] weights a property map from each edge to its weight (a non-negative value)
+ * \param[in] weights a readable property map from each edge to its weight (a non-negative value)
  * \param[out] parities a writable property map from each vertex to a bool type object for
  *     distinguishing the two vertex sets of the min-cut
  * \param[out] assignments a read/write property map from each vertex to a \c vertex_descriptor object. This
@@ -216,7 +211,7 @@
                                           >::type> helper;
   typedef typename helper::map_type map_type;
   static inline map_type make_map(const Graph& g, const ArgPack& ap) {
-    return helper::make_map(g, *vertices(g).first, ap[boost::graph::keywords::_vertex_assignment_map | 0], ap);
+    return helper::make_map(g, vertex_descriptor(), ap[boost::graph::keywords::_vertex_assignment_map | 0], ap);
   }
 };
 
